function run_experiment(n,m)
%
% RUN_EXPERIMENT.M - initiate experiment on a single computer
%

if nargin == 0

   n = 1; 
   m = 1;

end

% extend search path

addpath ../../data
addpath ../../matlab
addpath source

% determine benchmarks

load benchmarks.mat benchmarks 

for i=1:length(benchmarks)

   fprintf(1, 'processing benchmark ''%s''...\n', benchmarks{i});

   % create results directory

   system(sprintf('mkdir -p %s/results', benchmarks{i}));

   % load data

   data = load('benchmarks', benchmarks{i});

   eval(sprintf('data=data.%s;', benchmarks{i}));

   % get on with it!

   for j=n:m:size(data.train,1)

      run_benchmark(benchmarks{i}, j);

   end

end

collate

% bye bye...

