function s = conjgrad(varargin)
%
% CONJGRAD - conjugare gradient descent based model selection
%
%    See also: SELECTOR/SELECT, ESTIMATOR

%
% File        : @conjgrad/conjgrad.m
%
% Date        : 
%
% Author      : Dr Gavin C. Cawley
%
% Description : 
%
% References  :
%
% History     : 
%
% Copyright   : (c) Dr Gavin C. Cawley, September 2015.
%
%    This program is free software; you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation; either version 2 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program; if not, write to the Free Software
%    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
%

if nargin == 0

   s.opts = optimset('Display', 'iter',   ...
                     'GradObj', 'on',     ...
                     'TolFun',  1e-9,     ...
                     'TolGrad', 1e-9);
   s      = class(s, 'conjgrad', selector);

else

   s = set(conjgrad, varargin{:});
   
end

% bye bye...

