function ker = kernel(varargin)

%
% KERNEL - abstract base class for all kernel objects

%
% File        : @kernel/kernel.m
%
% Date        : Friday 30th July 2004
%
% Author      : Dr Gavin C. Cawley
%
% Description : Abstract base class for all kernel objects.
%
% History     : 20/12/2000 - v1.00
%               30/07/2004 - v1.10 made into a subclass of @object
%
% Copyright   : (c) Dr Gavin C. Cawley, July 2004 
%
%    This program is free software; you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation; either version 2 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program; if not, write to the Free Software
%    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
%

if nargin == 0
   
   % this is the default constructor

   ker.type = 'undefined';
   ker      = class(ker, 'kernel', object);
   
else

   ker = set(kernel, varargin{:});
   
end

% bye bye...

