function net = kernel(varargin)

% LSSVM - least-squares support vector classification with L2 regularisation

%
% File        : @lssvc/lssvc.m
%
% Date        : Friday 31st October 2003.
%
% Author      : Dr Gavin C. Cawley
%
% Description :
%
% References  :
%
% History     : 31/10/2000 - v1.00
%
% Copyright   : (c) Dr Gavin C. Cawley, October 2003 
%

if nargin == 0
   
   % this is the default constructor

   net.alpha     = [];
   net.b         = 0;
   net.x         = [];
   net.kernel    = rbf;
   net.lambda    = 1;
   net.criterion = press;
   net           = class(net, 'l2lssvm', object);
   
else

   net = set(l2lssvm, varargin{:});
   
end

% bye bye...

