function crit = press(varargin)

% PRESS - model selection criterion

%
% File        : @press/press.m
%
% Date        : 
%
% Author      : Dr Gavin C. Cawley
%
% Description :
%
% References  :
%
% History     : 31/10/2000 - v1.00
%
% Copyright   : (c) Dr Gavin C. Cawley, October 2003 
%

if nargin == 0
   
   % this is the default constructor

   crit.f = inline('0.5*(r.^2)', 'r', 'y');
   crit.g = inline('-r', 'r', 'y');

   crit   = class(crit, 'press', object);
   
else

   crit = set(crit, varargin{:});
   
end

% bye bye...

